个人工具
名字空间
变换
操作

Bluetrait

来自站长百科
跳转到: 导航, 搜索
bluetrait 演示

Bluetrait,是一款开源的、采用PHP语言开发的博客程序,其开发者一开始只是想为自己的网站开发一个程序来管理网站内容,没想到这一程序渐渐就发展成了一款完全的blog工具。目前,其最新版本为:Bluetrait 2.0.1。

目录

Bluetrait概况

Bluetrait功能列表

  • 支持文章分类管理;
  • 支持基于权限的分组和任务;
  • 支持固定链接的自定义;
  • 支持主题的更换和定制;
  • 支持功能插件的安装;
  • 具有Pseudo Cron系统;
  • 支持MySQLSQlite数据库系统;
  • 具有一定限制的SSL/HTTPS支持功能;
  • 有效的XHTML1.1输出;
  • 支持标准的HTMLCSS定制;
  • 支持多用户;
  • 支持RSS 2订阅;
  • 具有垃圾邮件过滤功能;
  • 支持静态内容;
  • 具有详细的事件浏览功能;
  • 支持URL重写;
  • 具有联系表单;
  • 支持评论和引用;
  • 支持文件的上传
  • 具有数据库维护页面;
  • 具有链接管理系统;
  • 具有用户注册功能;
  • 支持SMTP邮件;
  • 支持WYSIWYG所见即所得文本编辑器;

Bluetrait运行环境需求

Bluetrait2.0环境需求:

  • 服务器端需求:
    1. 支持PHP的网络服务器IIS同样支持,但是推荐使用Apache;
    2. PHP 5.2+(同样也可以工作在PHP 5/PHP6-dev/FastCGI下);
    3. MySQL 4.1+或者SQlite;
    4. PHP_PDO(基础数据库驱动)
    5. PHP_PDO_MYSQL 或者 PHP_PDO_SQLITE (根据使用的数据库系统来选择)
    6. SimpleXML
    7. (可选的)Apache需要支持Mod_rewrite;
    8. (可选的)PHP组件zlib
  • 客户端需求:
    1. 浏览器: Firefox 1, 1.5, 2.0 / IE 5.5, 6, 7 / Safari 1.3, 2.0, 3.0 / Opera 9
    2. 分辨率:1024x768;
    3. FTP或者SSH访问支持;
    4. 安装有解压程序;

Bluetrait 1.x环境需求:

  • 服务器端需求:
    1. 支持PHP的网络服务器;
    2. PHP 4.3.3或以上版本;
    3. MySQL 4或以上版本;
    4. (可选的)Apache需要支持Mod_rewrite;
    5. (可选的)PHP组件zlib
  • 客户端需求:
    1. 浏览器: Firefox 1, 1.5, 2.0 / IE 5.5, 6, 7 / Safari 1.3, 2.0 / Opera 9
    2. FTP或者SSH访问支持;
    3. 安装有解压程序;

相关条目

参考来源

留言